• How to upgrade vulkan?


    I have Vulkan installed and I’m using Wine + DXVK to run some games. Works great! When I installed vulkan it was at version 1.1.70. Since then, I have updated it several times and the latest version should be 1.1.80… But my DXVK info overlay still says 1.1.70.

    I have the latest vulkan-radeon vulkan-icd-loader lib32-vulkan-radeon lib32-vulkan-icd-loader packages installed that should be 1.1.80. My /usr/share/vulkan/radeon_icd.x86_64.json points to /usr/lib32/libvulkan_radeon.so which seems correct too, but I still only get v1.1.70 of vulkan. What am I missing? What do I need to do to get the latest vulkan running?

    PS, I’m also getting “vulkaninfo: command not found”, no idea why (used to work). How can I install this separately?

  • Interesting.

    I decided to check my driver as well, and it is also 1.1.70. I am however running an AMD APU (Ryzen 5 2500U).

  • Decided to look into this again as my Vulkan driver keeps updating but I’m stuck on 1.1.70… After running vulkaninfo and reading some output I noticed that the value VkPhysicalDeviceProperties / apiVersion was set to 1.1.70. Upon checking the vulkan documentation, the apiVersion is defined as apiVersion is the version of Vulkan supported by the device.

    So, it seems my card does not support api versions above 1.1.70, I guess? I wonder if this is something that an updated amdgpu driver could fix or if it’s a limitation of the card itself. Anyway, some more clarity in the issue!

  • @stingray454
    I know nothing about vulkan, but vulkaninfo command seems to be in package vulkan-tools.
    You could check program pamac-manager and search for vulkan stuff, it also shows files and package versions… ;)

  • @manuel Sorry, answered too quickly, my bad…

upgrade81 vulkan3 Posts 5Views 749
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.